
;; ------------------------------

[global/wm]
margin-top = 0
margin-bottom = 0

include-file = ./colors.ini
include-file = ./modules.ini


[bar/main]
;override-redirect = true
owm-restack = bspwm 

;locale = zh_CN.UTF-8

background = ${color.background}
foreground = ${color.foreground}


width = 100%
height = 24
border-size = 5
border-color = ${color.background}
padding-left = 0
padding-right = 2

offset-x = 0
offset-y = 0


font-0 = "Raleway:size=11;3"
font-1 = "HarmonyOS Sans SC:size=11;3"
font-2 = "Material Icons:size=14;5"
font-3 = "Symbols Nerd Font:size=15;4"
font-4 = "Arial:size=10;4"
;font-5 = "DejaVu Sans:size=15;4"

fixed-center = true

modules-left = logo workspace pipe-db mpd   
modules-center = date
modules-right = netspeed pipe tray pipe volume power


tray-maxsize = 16
tray-scale = 1.0


enable-ipc = true

; 可点击鼠标状态
cursor-click = pointer


;; 事件 Fallback
;; 当模块的事件没有定义时, 会fallback 到这里的
;click-left =
;click-middle =
;click-right =
;scroll-up = bspc desktop -f prev.local
;scroll-down = bspc desktop -f next.local
;double-click-left =
;double-click-middle =
;double-click-right =


[settings]

pseudo-transparency = true
screenchange-reload = false

compositing-background = source
compositing-foreground = over
compositing-overline = over
compositing-underline = over
compositing-border = over



[module/tray]
type = internal/tray

;tray-position = adaptive
tray-padding = 4
tray-detached = false
tray-background = ${color.background}
